package com.example.agoldenbaum.datachartrangeseriescase;

import java.util.ArrayList;

/**
 * Created by agoldenbaum on 3/24/2015.
 */
public class CategoryDataSample extends ArrayList<CategoryDataItem> {
    public CategoryDataSample() {

        double curr = 100;
        double curr2 = 300;

        String[] months = new String[]{"Jan", "Feb", "Mar", "Apr", "May", "Jun",
                "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"};
        for (int i = 0; i < 12; i++) {
            curr += Math.random() * 4 - 2;
            curr2 += Math.random() * 4 - 2;

            CategoryDataItem newItem = new CategoryDataItem();
            newItem.label = months[i];
            newItem.setValue(Math.min(curr, curr2));
            newItem.highValue = Math.max(curr, curr2);
            add(newItem);
        }
    }

    public static ArrayList<CategoryDataItem> GetTemperatureData() {

        double low = 0;
        double high = 15;
        ArrayList<CategoryDataItem> data = new ArrayList<CategoryDataItem>();

        for (int i = 0; i < 350; i++) {

            CategoryDataItem newItem = new CategoryDataItem();
            newItem.label = "Label" + i;
            newItem.lowValue = Math.min(low, high);
            newItem.highValue = Math.max(low, high);
            newItem.lineValue1 = newItem.lowValue + 50;
            newItem.lineValue2 = newItem.highValue - 50;

            data.add(newItem);

            if (i <= 175) {
                low += Math.random() * 5;
                high += Math.random() * 2;
            } else {
                low -= Math.random() * 7;
                high -= Math.random() * 3;
            }


        }

        return data;
    }
}